svnauthz editing

2008-05-26 21:05 - rupert thurner

Status: New Start date: 2008-05-26

Priority: Normal Due date:  

Assignee:  % Done: 70%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

a plugin to edit svnauthz information would be compelling.

History

#1 - 2008-05-26 22:36 - Auriel Manolson

- % Done changed from 0 to 70

Mateo Murphy and I are actively working on a very powerful plugin to manage svn repository permissions incl. full sync to svn authz files.

We are currently testing it in our sandbox environment (so far its working well), and will clean up and contribute the code as a plugin or patch asap.

I would like to assign this issue to Myself or Mateo Murphy but, but our names are not showing in the list.

#2 - 2009-04-14 14:40 - Marcel Schulte

Auriel,

are there any news regarding this issue?

I'm currently implementing Redmine in our environment and would like to see (or better: get) what you and Mateo developed here.

Many thanks in advance!

Regards,

Marcel

#3 - 2009-04-20 14:48 - Gilles Pietri

Marcel Schulte wrote:

Auriel,

are there any news regarding this issue?

I'm currently implementing Redmine in our environment and would like to see (or better: get) what you and Mateo developed here.

Many thanks in advance!

Regards,

Marcel

 I would be interested in this feature as well, or at least get some ideas so as to avoid starting from scratch on that ;)

Regards,

Gilou

#4 - 2009-04-29 20:04 - Mateo Murphy

Hi

Apologies for taking so long to get around to this; our svnauthz code is unfortunately pretty coupled to some modifications that we've made to

redmine's permissions system that are not relevant to most people, so it would need some refactoring before we can release it. We do plan on doing

this within the next month or so, though.
#5 - 2009-11-19 15:16 - Enderson Maia

- File generate_authz.rake added

I did a script for generating a svn_authz file based on Repository permission for the user role in the project.

Put it on lib/tasks/ and call it with rake -s redmine:generate_svnauthz RAILS_ENV="production" > /var/svn/access.conf

#6 - 2011-03-24 06:19 - Toshi MARUYAMA

- Category changed from SCM to SCM extra

Files

generate_authz.rake 1.38 KB 2009-11-19 Enderson Maia

Powered by TCPDF (www.tcpdf.org)

2025-07-11 2/2

http://www.tcpdf.org

